History

#1 - 07/28/2014 02:50 PM - Eric Faulhaber

I've come across an unexpected stop condition invoking an internal procedure from a database session trigger in P2J:

"log-it" was not found

 

The internal procedure log-it is present in the program in which the session trigger resides.  The trigger is being invoked in response to a FIND event

generated in an external procedure called from that program.

I'm hitting this in a test case, which I've checked in as part of testcases bzr rev. 1177.  I convert as follows:

java -server -classpath p2j/build/lib/p2j.jar:.: -Xmx2g com.goldencode.p2j.convert.ConversionDriver -d2 f2+m0+

cb ask.p flush/one-test-hc.p flush/flush17.p flush/delete-books.p flush/search-books.p flush/rowid-map.p 2>&1 

| tee error.log

 

To recreate, run flush/one-test-hc.p from ask.p, and set a breakpoint at the log-it call from within Flush17$TriggerBlock1.body() (line 270, when

converting with P2J bzr rev 10581). This is the FIND session trigger invoked by the external procedure flush/delete-books.p, called from

flush/flush17.p.
#2 - 07/29/2014 03:43 AM - Constantin Asofiei

- File ca_upd20140729a.zip added

- Status changed from New to WIP

- % Done changed from 0 to 90

- Estimated time set to 1.00

This should fix your case.  The problem was that the DB trigger invocation code was not pushing the trigger's external procedure as the current

THIS-PROCEDURE.

No regression testing is needed, you can integrate this with your changes, if you want.  Or I can release it as is.

#3 - 07/29/2014 08:54 AM - Eric Faulhaber

Great! Please go ahead and release this as is. Thanks for the quick turnaround.

#4 - 07/29/2014 09:01 AM - Constantin Asofiei

- Status changed from WIP to Review

- % Done changed from 90 to 100

0729a.zip was committed to bzr rev 10584. This can be closed.

#5 - 07/29/2014 09:28 AM - Greg Shah

- Status changed from Review to Closed

#6 - 11/16/2016 12:06 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features

Files

ca_upd20140729a.zip 28 KB 07/29/2014 Constantin Asofiei
